<template>
  <div class="ob-datetime-mobile__modal">
    <div class="ob-datetime-mobile__header">
      <i
        class="icon chevron-left"
        @click="$emit('close', null)"
      />
      Выберите время
    </div>
    <div class="ob-datetime-mobile__container time_list">
      <div
        v-for="timeItem in timeItems"
        :key="timeItem.uuid"
        class="ob-datetime-mobile__time-list"
        @click="selectTime(timeItem)"
      >
        <span>{{ timeItem.title }}</span>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ModalTime',
  data () {
    return {
      timeItems: []
    }
  },
  async created () {
    let startPoint = 0
    for (let i = startPoint; i < 48; i++) {
      this.timeItems.push(this.getTimeItem(i))
    }
  },
  methods: {
    selectTime ({ title }) {
      this.$emit('close', title)
    },
    getTimeItem (ind) {
      if (ind % 2 === 0) {
        return {
          uuid: ind < 20 ? `0${ind / 2}:00` : `${ind / 2}:00`,
          title: ind < 20 ? `0${ind / 2}:00` : `${ind / 2}:00`
        }
      } else {
        return {
          uuid: ind < 20 ? `0${(ind / 2).toFixed(0) - 1}:30` : `${(ind / 2).toFixed(0) - 1}:30`,
          title: ind < 20 ? `0${(ind / 2).toFixed(0) - 1}:30` : `${(ind / 2).toFixed(0) - 1}:30`
        }
      }
    }
  }
}
</script>
